058f:6377 Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu 9.04/9.10

Bug #366478 reported by Sukochev Roman (Leolik) on 2009-04-25
138
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Nominated for Lucid by Moritz Naumann

Bug Description

In Ubuntu 8.10 this cardreader - work fine, but after upgrade Ubuntu from 8.10 to 9.04 - it's not work.

In lsusb - it displayed:
Bus 001 Device 005: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
but in system - not displayed.
When insert memory card - nothing happened (only green diod light)

Ubuntu 9.04 amd64
uname -a:
Linux leolik-komp 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

genepool (genepool99) wrote :

I can confirm the same problem. Worked fine in 8.10 and 8.04.
lsusb:
Bus 001 Device 022: ID 058f:6366 Alcor Micro Corp.

uname -a:
Linux blueblack 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

http://leolik.blogspot.com/2009/04/usb-ubuntu-904.html
to fix that bug, need run in terminal:

echo usb_storage >> /etc/modules

and reboot pc

Changed in ubuntu:
status: New → Confirmed
genepool (genepool99) wrote :

I tried Leolik's proposed fix (adding usb_storage to /etc/modules) and it still does not work. Now the reader is not even listed in lsusb.

Mark Hayes (mark-hayes-1973) wrote :

Folks,

I also have an Alcor Micro Corp card reader. I have a slightly different (older?) version. When inputting "lsusb", I get the following returned:

Bus 001 Device 007: ID 058f:6362 Alcor Micro Corp. Hi-Speed 21-in-1 Flash Card Reader/Writer (Internal/External)

With my card reader I have a different problem but probably related.

I am not even able to boot into the latest kernel (2.6.28-11-generic) that ships with 9.04. The whole system stalls on booting - round about the time that it tries to detect the Alcor card reader. Very repeatable, never managed yet to boot into the latest version of the kernel. As such, I have to use an older kernel version (2.6.27-7-generic) to boot the system.

It used to work - fine under both 8.04 and 8.10.

I presume that this situation on my PC is linked to this bug. Really want to get this sorted out - I'd really like to use the latest/most appropriate kernel but also need my card reader to work too.

Thanks. Mark.

BongoMan (pascal-bongosoft) wrote :
Download full text (3.2 KiB)

I am running karmic with kernel 2.6.31-14-generic and I confirm this bug with the all-in-one SD-card-reader of my Samsung E152 notebook. Here is the output of lsusb, I will attach the verbose output too:

Bus 001 Device 005: ID 058f:6366 Alcor Micro Corp.

when I insert a SD-card, dmesg tells me this:

[ 2777.822565] usb 1-5: new high speed USB device using ehci_hcd and address 6
[ 2777.974865] usb 1-5: configuration #1 chosen from 1 choice
[ 2777.975770] scsi8 : SCSI emulation for USB Mass Storage devices
[ 2777.975982] usb-storage: device found at 6
[ 2777.975986] usb-storage: waiting for device to settle before scanning
[ 2782.972797] usb-storage: device scan complete
[ 2782.973513] scsi 8:0:0:0: Direct-Access Multi Flash Reader 1.00 PQ: 0 ANSI: 0
[ 2782.974357] sd 8:0:0:0: Attached scsi generic sg2 type 0
[ 2783.399756] sd 8:0:0:0: [sdb] 246016 512-byte logical blocks: (125 MB/120 MiB)
[ 2783.400602] sd 8:0:0:0: [sdb] Write Protect is off
[ 2783.400609] sd 8:0:0:0: [sdb] Mode Sense: 03 00 00 00
[ 2783.400614] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 2783.403741] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 2783.403749] sdb: sdb1
[ 2783.412056] sd 8:0:0:0: [sdb] Assuming drive cache: write through
[ 2783.412065] sd 8:0:0:0: [sdb] Attached SCSI removable disk

but the strange thing is that the device /dev/sdb1 isn't created at all:

>$ ls /dev/sd*
/dev/sda /dev/sda1 /dev/sda2 /dev/sda3 /dev/sda4 /dev/sda5 /dev/sda6 /dev/sda7 /dev/sda8

after waiting for a while, dmesg periodically throws out this message in a loop:

[ 2814.130066] usb 1-5: reset high speed USB device using ehci_hcd and address 6

then, after several minutes, I get this messages:

[ 2975.141403] sd 8:0:0:0: [sdb] Media Changed
[ 2975.141410] sd 8:0:0:0: [sdb] Result: hostbyte=DID_ABORT driverbyte=DRIVER_SENSE
[ 2975.141418] sd 8:0:0:0: [sdb] Sense Key : Unit Attention [current]
[ 2975.141427] Info fld=0x0
[ 2975.141430] sd 8:0:0:0: [sdb] Add. Sense: Not ready to ready change, medium may have changed
[ 2975.141440] end_request: I/O error, dev sdb, sector 8
[ 2975.141448] __ratelimit: 20 callbacks suppressed
[ 2975.141452] Buffer I/O error on device sdb, logical block 1
[ 2975.141463] Buffer I/O error on device sdb, logical block 2
[ 2975.141469] Buffer I/O error on device sdb, logical block 3
[ 2975.141474] Buffer I/O error on device sdb, logical block 4
[ 2975.141479] Buffer I/O error on device sdb, logical block 5
[ 2975.141484] Buffer I/O error on device sdb, logical block 6
[ 2975.141489] Buffer I/O error on device sdb, logical block 7
[ 2975.141494] Buffer I/O error on device sdb, logical block 8
[ 2975.141500] Buffer I/O error on device sdb, logical block 9
[ 2975.141505] Buffer I/O error on device sdb, logical block 10
[ 2982.430053] CE: hpet increasing min_delta_ns to 15000 nsec

I tested it with the latest knoppix, same problem... The card reader works flawlessly with Vista... I hope there will be a solution for Linux soon, I don't like having to boot Vista every time I want to access the pictures of my digicam :( Maybe this bug should be forwarded to bugzilla.kernel.org ? If more infos about my system are needed, I will...

Read more...

RK (kubuntu-rk) on 2009-10-31
summary: - Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu 9.04
+ Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu 9.04/9.10
+ (058f:6362 Device offlined)
Download full text (5.0 KiB)

the issue with current karmic is this:
(resetting usb)
Oct 31 17:05:02 rk kernel: [ 3327.661192] usb-storage: device scan complete
Oct 31 17:05:02 rk kernel: [ 3327.662754] scsi 15:0:0:0: Direct-Access Generic USB SD Reader 1.00 PQ: 0 ANSI: 0
Oct 31 17:05:02 rk kernel: [ 3327.663369] scsi 15:0:0:1: Direct-Access Generic USB CF Reader 1.01 PQ: 0 ANSI: 0
Oct 31 17:05:02 rk kernel: [ 3327.663992] scsi 15:0:0:2: Direct-Access Generic USB SM Reader 1.02 PQ: 0 ANSI: 0
Oct 31 17:05:02 rk kernel: [ 3327.665123] scsi 15:0:0:3: Direct-Access Generic USB MS Reader 1.03 PQ: 0 ANSI: 0
Oct 31 17:05:02 rk kernel: [ 3327.665759] sd 15:0:0:0: Attached scsi generic sg4 type 0
Oct 31 17:05:02 rk kernel: [ 3327.665878] sd 15:0:0:1: Attached scsi generic sg5 type 0
Oct 31 17:05:02 rk kernel: [ 3327.665999] sd 15:0:0:2: Attached scsi generic sg6 type 0
Oct 31 17:05:02 rk kernel: [ 3327.666124] sd 15:0:0:3: Attached scsi generic sg7 type 0
Oct 31 17:05:02 rk kernel: [ 3327.690125] sd 15:0:0:1: [sdd] Attached SCSI removable disk
Oct 31 17:05:02 rk kernel: [ 3327.700025] sd 15:0:0:0: [sdc] Attached SCSI removable disk
Oct 31 17:05:02 rk kernel: [ 3327.701382] sd 15:0:0:2: [sde] Attached SCSI removable disk
Oct 31 17:05:02 rk kernel: [ 3327.712350] sd 15:0:0:3: [sdf] Attached SCSI removable disk
Inserting card:
Oct 31 17:06:55 rk kernel: [ 3441.101035] usb 1-7: reset high speed USB device using ehci_hcd and address 50
Oct 31 17:07:05 rk kernel: [ 3451.344611] usb 1-7: reset high speed USB device using ehci_hcd and address 50
Oct 31 17:07:22 rk kernel: [ 3467.589038] usb 1-7: reset high speed USB device using ehci_hcd and address 50
Oct 31 17:07:22 rk kernel: [ 3467.837031] usb 1-7: reset high speed USB device using ehci_hcd and address 50
Oct 31 17:07:32 rk kernel: [ 3478.087544] usb 1-7: reset high speed USB device using ehci_hcd and address 50
Oct 31 17:07:32 rk kernel: [ 3478.223685] sd 15:0:0:0: Device offlined - not ready after error recovery

Unplugging internal(!) card reader while system is running:
Oct 31 17:20:43 rk kernel: [ 4268.587638] usb 1-7: USB disconnect, address 50
Oct 31 17:20:46 rk kernel: [ 4272.497032] usb 1-7: new high speed USB device using ehci_hcd and address 53
Oct 31 17:20:47 rk kernel: [ 4272.632050] usb 1-7: configuration #1 chosen from 1 choice
Oct 31 17:20:47 rk kernel: [ 4272.633511] scsi16 : SCSI emulation for USB Mass Storage devices
Oct 31 17:20:47 rk kernel: [ 4272.633822] usb-storage: device found at 53
Oct 31 17:20:47 rk kernel: [ 4272.633827] usb-storage: waiting for device to settle before scanning
Oct 31 17:20:52 rk kernel: [ 4277.632247] usb-storage: device scan complete
Oct 31 17:20:52 rk kernel: [ 4277.634159] scsi 16:0:0:0: Direct-Access Generic USB SD Reader 1.00 PQ: 0 ANSI: 0
Oct 31 17:20:52 rk kernel: [ 4277.634774] scsi 16:0:0:1: Direct-Access Generic USB CF Reader 1.01 PQ: 0 ANSI: 0
Oct 31 17:20:52 rk kernel: [ 4277.635395] scsi 16:0:0:2: Direct-Access Generic USB SM Reader 1.02 PQ: 0 ANSI: 0
Oct 31 17:20:52 rk kernel: [ 4277.636041] scsi 16:0:0:3: Direct-Access Generic USB MS Reader 1.03 PQ: 0 ANSI: 0
Oct 31 17:20:52 rk kernel: [ 4277.638314] sd 16:0:0:...

Read more...

BongoMan (pascal-bongosoft) wrote :

it's me again :) For me the problem finally wasn't related to the card-reader, but to the file system on the card (a 128 MB card from SanDisk, formated with a NIKON digikam). There was a FAT16 filesystem on the card, and like I said the card didn't get accepted in linux but in vista. I reformated the card in vista using the built-in formatter (management console), again with FAT16, and now the card works flawlessly with Kubuntu Karmic.

I now also bought a new 16GB SanDisk SDHC-card, and this one worked at once with its original formatting. For me this bug can be closed, although there seems to be a problem with some FAT partitions which work in vista and not with linux...

For the others who posted in this thread, please try your card-reader again after having reformated your SD-card, maybe this bug isn't one finally...

cheers,
Pascal

Pascal,

Can't be closed for my part of the bug - Kubuntu won't boot with my card
reader attached to the motherboard. At all. Hangs continuously - and fails
to move past the detection of the card reader.

I don't see how this bug can be closed really - not until all the individual
elements of this issue are resolved and reported as completely closed out.

Thanks,

Mark.

2009/12/17 BongoMan <email address hidden>

> it's me again :) For me the problem finally wasn't related to the card-
> reader, but to the file system on the card (a 128 MB card from SanDisk,
> formated with a NIKON digikam). There was a FAT16 filesystem on the
> card, and like I said the card didn't get accepted in linux but in
> vista. I reformated the card in vista using the built-in formatter
> (management console), again with FAT16, and now the card works
> flawlessly with Kubuntu Karmic.
>
> I now also bought a new 16GB SanDisk SDHC-card, and this one worked at
> once with its original formatting. For me this bug can be closed,
> although there seems to be a problem with some FAT partitions which work
> in vista and not with linux...
>
> For the others who posted in this thread, please try your card-reader
> again after having reformated your SD-card, maybe this bug isn't one
> finally...
>
> cheers,
> Pascal
>
> --
> Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu 9.04/9.10
> (058f:6362 Device offlined)
> https://bugs.launchpad.net/bugs/366478
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> In Ubuntu 8.10 this cardreader - work fine, but after upgrade Ubuntu from
> 8.10 to 9.04 - it's not work.
>
> In lsusb - it displayed:
> Bus 001 Device 005: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
> but in system - not displayed.
> When insert memory card - nothing happened (only green diod light)
>
> Ubuntu 9.04 amd64
> uname -a:
> Linux leolik-komp 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC
> 2009 x86_64 GNU/Linux
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+bug/366478/+subscribe
>
>

Thank you for taking the time to report this bug and helping to make Ubuntu better.
Could you tell me if the bug persist in the lastest release of Ubunut 9.10?
Regards
malev

Changed in ubuntu:
status: Confirmed → Incomplete
Moritz Naumann (mnaumann) wrote :

malev: As BongoMan wrote on 2009-10-26, this also affects Karmic (9.10), which I can confirm, too.

It also affects one of my systems, an Asus UL30A-QX130V with BIOS v211 (running 9.10, linux-image-2.6.31-16-generic and linux-backports-modules):
Bus 002 Device 002: ID 058f:6366 Alcor Micro Corp.

While the SD device is correctly detected and a device node is assigned (/dev/sdb) attempts to mount with 'mount -v /dev/sdb /mnt/sdb' fail with:
mount: you didn't specify a filesystem type for /dev/sdb
       I will try all types mentioned in /etc/filesystems or /proc/filesystems
Trying fuseblk
mount: no medium found on /dev/sdb ...trying again
mount: /dev/sdb: unknown device

Specifying the filesystem as in 'mount -v -t vfat /dev/sdb /mnt/sdb' doesn't help:
mount: no medium found on /dev/sdb ...trying again
mount: no medium found on /dev/sdb ...trying again
mount: no medium found on /dev/sdb ...trying again
mount: no medium found on /dev/sdb ...trying again
mount: no medium found on /dev/sdb ...trying again
mount: no medium found on /dev/sdb

This linux-usb bug seems to be related:
http://bugzilla.kernel.org/show_bug.cgi?id=14228

Using 'sg_start -l /dev/sdb' as suggested there does not help, it just prints:
open /dev/sdb with flags=0x802
    Start stop unit command: 1b 00 00 00 03 00

Possibly related:
https://bugs.launchpad.net/ubuntu/+bug/88746

malev (marcosvanetta) on 2010-01-06
Changed in ubuntu:
status: Incomplete → Confirmed
vashman (sunny.s) wrote :

I have the kind of same reader and mine has worked fine since dapper.

Bus 001 Device 002: ID 045e:0728 Microsoft Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 058f:9360 Alcor Micro Corp. 8-in-1 Media Card Reader
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

though i've only used the reader to read usb drives and SD cards.
I've used a set of SanDisk cards and many different types of usb devices. All devices have worked great except when trying to safly remove the card; at which point the device will turn off and remain off.
Also my reader does not support SDHC types.

Same problem. I have an HP M1195C with a:
Bus 005 Device 002: ID 058f:9360 Alcor Micro Corp. 8-in-1 Media Card Reader

I did like Leolik suggested:
sudo nano /etc/modules
+++ usb_storage

First I tried `modprobe usb_storage` with no luck. Rebooted and it works perfect now.

Akkana Peck (akkzilla) wrote :

My Alcor multi-card reader worked under Karmic, either with hal polling or with the udev rule I detailed here to create all_partitions: http://shallowsky.com/blog/linux/udev-cardreaders-update.html

But on Lucid it's no longer working -- whatever devicekit service is supposed to be doing what hal's polling used to do isn't doing it, and none of these attempts at a udev rule in /etc/udev/rules.d/59-persistent-storage-multicard.rules have worked:

KERNEL=="sd[a-g]", SUBSYSTEMS=="block", ", ATTRS{model}=="USB SD Reader ", NAME{all_partitions}="card-sd", group=plugdev
KERNEL=="sd[a-g]", SUBSYSTEMS=="block", ", ATTRS{model}=="USB_SD_Reader", NAME{all_partitions}="card-sd", group=plugdev
KERNEL=="sd[a-g]", SUBSYSTEMS=="block", ", ENV{ID_MODEL}=="USB_SD_Reader", NAME{all_partitions}="card-sd", group=plugdev

The udev rule isn't seen as applying to the device if I run udevadm test /devices/pci0000:00/0000:00:1d.7/usb1/1-5/1-5:1.0/host4/target4:0:0/4:0:0:0/block/sdb even though the model names match.

orlcam2002 (orlcam2002) wrote :

affects me also. Went from 9.04 to 9.10. worked in 9.04 but not in 9.10. I use only compact flash so I can not confirm the others. :
xxxxx-desktop:~$ lsusb
Bus 001 Device 002: ID 1058:0900 Western Digital Technologies, Inc.
Bus 001 Device 003: ID 04f2:a133 Chicony Electronics Co., Ltd Gateway Webcam
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 002: ID 0403:f850 Future Technology Devices International, Ltd
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 03f0:1004 Hewlett-Packard DeskJet 970c/970cse
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 008: ID 058f:6362 Alcor Micro Corp. Hi-Speed 21-in-1 Flash Card Reader/Writer (Internal/External)
Bus 002 Device 007: ID 046d:c30f Logitech, Inc. Logicool HID-Compliant Keyboard (106 key)
Bus 002 Device 006: ID 1532:0002 Razer USA, Ltd
Bus 002 Device 005: ID 050d:3201 Belkin Components F1DF102U/F1DG102U Flip KVM
Bus 002 Device 003: ID 0424:2524 Standard Microsystems Corp. USB MultiSwitch Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Nacho Perea (nacho.perea) wrote :

The same issue appears also on Ubuntu Maverick Meerkat (10.10). I have tried the proposed workarounds, but none of them worked.

Patrik (kolibanat) wrote :

I had problem with usb flash card as well as sd card. I have an ASUS Eee PC r101 running Natty Narwhale. uname -a:
"Linux partik-eee 2.6.35-28-generic #50-Ubuntu SMP Fri Mar 18 18:42:20 UTC 2011 x86_64 GNU/Linux"

dmesg gave me something that ended with something like:

"[ 2783.412065] sd 8:0:0:0: [sdb] Attached SCSI removable disk"

But it didnt mount. I tried https://help.ubuntu.com/community/Mount/USB which worked for the flash card and after a reformat ubuntu mounts it automatic. The manual mount of the sd card worked as well, but I tried the same thing there, format. But with no success. When I tried to mount it semi-automatic, by clicking mount in disk tools (diskverktyg). It said error and this:

"Error mounting: mount exited with exit code 1: helper failed with:
mount: according to mtab, /dev/sda1 is already mounted on /
mount failed"

sda1 is my hdd.

Peter Wu (lekensteyn) wrote :

I've had a similar issue on Kubuntu 10.04 Lucid, whenever I plugged in a SD card, nothing happens. No udev event (sudo udevadm monitor), no dmesg entry.

From `lsusb`:
Bus 002 Device 002: ID 058f:9360 Alcor Micro Corp. 8-in-1 Media Card Reader

So, it appears to be a driver issue. With modprobe sd<tab>, I found a driver that could help: sdhci

    sudo modprobe sdhci
After running that command, the LED turns on when I insert the SD card and the partitions gets recognised:

[ 4436.228130] sdhci: Secure Digital Host Controller Interface driver
[ 4436.228135] sdhci: Copyright(c) Pierre Ossman
[ 4461.265083] sd 2:0:0:0: [sdb] 3985408 512-byte logical blocks: (2.04 GB/1.90 GiB)
[ 4461.272168] sd 2:0:0:0: [sdb] Write Protect is on
[ 4461.272174] sd 2:0:0:0: [sdb] Mode Sense: 03 00 80 00
[ 4461.272178] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[ 4461.282106] sd 2:0:0:0: [sdb] Assuming drive cache: write through
[ 4461.282114] sdb: sdb1 sdb2

Edmond (ser-u) wrote :

I have the card reader "Akasa1 Akasa AK-ICR-11" and I had the same issue. The card reader was not working.

lsusb shows me:
Bus 001 Device 007: ID 058f:6362 Alcor Micro Corp. Flash Card Reader/Writer

Solution:
- Adding "usb-storage" in "/etc/modules"
- reboot

Edmond (ser-u) wrote :

Sorry, forgot to mention the ubuntu version I am using: 11.10.

Hi,

Edmond a tapoté, le 20/02/2012 10:08:
> I have the card reader "Akasa1 Akasa AK-ICR-11" and I had the same
> issue. The card reader was not working.
>
> lsusb shows me:
> Bus 001 Device 007: ID 058f:6362 Alcor Micro Corp. Flash Card Reader/Writer
>
>
> Solution:
> - Adding "usb-storage" in "/etc/modules"
> - reboot

Hi on Lubuntu 11.10.

I've done that and nothing happened (I've tested the SD card reader).

Bus 005 Device 002: ID 058f:9360 Alcor Micro Corp. 8-in-1 Media Card Reader

--
Stéphane

<http://pasdenom.info/fortune>

 Toutes les grandeurs de ce monde ne valent pas un bon ami.
 -+- Voltaire, Jeannot et Colin -+-

I think "usb-storage" was wrong. Instead try "usb_storage" in "/etc/modules". Does this work?

yamo (stephane-gregoire) wrote :

I have written usb_storage and not usb-storage.

Maybe it doesn't work because it is not exactly the same card...

058f:9360 <>058f:6362

Edmond (ser-u) wrote :

Ok I am still experiencing the same issue: https://answers.launchpad.net/ubuntu/+question/189089

Edmond (ser-u) wrote :

I worked several hours on this issue and could not fix it. Unfortunately this concerns just a "few" people so don't count on getting this bug fixed. I will buy me another card reader...

Shimi Chen (shimi-chen) on 2012-05-26
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium

issue still present in ubuntu 12.04

fix: get a new card reader :(

I do still actually find this a bit of a shame. It's not as if the
hardware is so esoteric that it's never had a working driver, is it?

Prior to 9.04, it worked like a charm. I loved it...! It was a
fantastic way of just connecting a card and getting quick access to
the data on it. Plus it had USB ports and front microphone/headset
ports too.

It's a real shame that over three years on, it is not possible to fix
something that worked previously.

I do realise that it's old kit now. And to be honest, I couldn't wait
three years to have it fixed - I already bought an external
replacement. But still, it really is a shame that this shows up one
of the flaws in open-source development, that nobody really wants to
work on the non-sexy stuff...!

I wonder if there is an alternative solution to getting the boring
stuff done in the open-source environment? It would be great to see
if that issue itself could be addressed somehow. Not everyone can
code, and some of us try to help in other ways with documentation etc,
but still, if it ain't sexy, it doesn't get done...

Where would be a good place to start the discussion on this more
'philosophical' side of the open-source world?

On 10/06/2012, marcomorin <email address hidden> wrote:
> issue still present in ubuntu 12.04
>
> fix: get a new card reader :(
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/366478
>
> Title:
> Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu
> 9.04/9.10 (058f:6362 Device offlined)
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> In Ubuntu 8.10 this cardreader - work fine, but after upgrade Ubuntu
> from 8.10 to 9.04 - it's not work.
>
> In lsusb - it displayed:
> Bus 001 Device 005: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
> but in system - not displayed.
> When insert memory card - nothing happened (only green diod light)
>
> Ubuntu 9.04 amd64
> uname -a:
> Linux leolik-komp 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC
> 2009 x86_64 GNU/Linux
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/366478/+subscriptions
>
>

Sukochev Roman, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? Can you try with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you run the following command in the development release from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux <replace-with-bug-number>

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

tags: added: kernel-media needs-upstream-testing regression-release
summary: - Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu 9.04/9.10
- (058f:6362 Device offlined)
+ 058f:6377 Alcor Micro Corp. Multimedia Card Reader don't work in Ubuntu
+ 9.04/9.10
tags: added: jaunty
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Moritz Naumann (mnaumann) wrote :

For what it's worth, this issue is fixed for me, with the hardware discussed in comment #12, since Ubuntu 12.04.1 (possibly already on 12.04.0, not sure).

Mike (mike-fdb) wrote :

Still doesn't work in 12.04 with all updates plus xorg-edger-ppa kernel 3.5.0-13, but "modprobe usb_storage" makes it work.
Probably not kernel issue, but lack of udev rule for 058f:6377?

Douglas King (douglask) wrote :

MIke, I concur ... same in 12.10. modprobe usb_storage makes it work. I've added usb_storage to my /etc/modules file.

Mike / Douglas King, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

mark (tiberopoulos) wrote :

Tks to all who contributed. For me it was a BIOS issue - my ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader has run happily in Win7 for years but was a complete no show under Xubuntu 12.10 x64. I added usb_storage to my /etc/modules file and in my Phoenix Award BIOS I had to set 'USB Storage Mode' to Disabled. I have no idea what that setting really does but I can now boot with an SD Card in the reader, or without, and can hot plug quite happily. Works perfectly :)

tags: added: needs-kernel-logs
Antonio Ospite (ospite) wrote :

Hi, I think I solved the problem here, maybe this can help the others who are experiencing it.

The hardware:
058f:6362 Alcor Micro Corp. Flash Card Reader/Writer

it used to work in the past but after a software upgrade it stopped working.

The problem:
the hardware was recognized (I could see the card reader in dmesg) but mass storage devices where not scanned automatically on insertion, and hence partitions where not found and mounted automatically.

The workaround:
Inserting a memory card showed nothing, but if I removed the usb_storage module and loaded it again leaving the memory card inserted, the device was scanned and the partition mounted.

The analysis:
So the hardware worked and the kernel driver worked too to some extent, just scanning at insertion time was broken.

A possible solution:
Enable polling like described in http://forums.funtoo.org/viewtopic.php?id=2243

$ echo 1000 > /sys/module/block/parameters/events_dfl_poll_msecs

After the command line above the memory card device were scanned and partition mounted automatically.
Note that the change will affect all block devices, not just the card reader, maybe not what you want.

Maybe there are better solutions, like adding some quirk to the kernel driver to enable polling for this device only, or use udev rules to enable polling only for this hardware when it is detected, leaving the global setting at it's default value.

Regression analysis:
Maybe in the past polling was enabled, I don't know if in the kernel or by some userspace component, and in newer versions it was disabled making the device look nonfunctional.

Ciao,
   Antonio http://ao2.it

P.S. To those complaining about old bugs not being fixed, if possible try providing the actual problematic hardware to developers, that generally gives them motivation to fix the problems.

Antonio Ospite, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

aaron (vorticalbox) wrote :

7 years and this bug has not been fixed :(

aaron, it will help immensely if you filed a new report with the Ubuntu repository kernel (not mainline/upstream) via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

See #1644981

Paolo.Dirienzo (poolo) wrote :

Hello, I see a lot of issues reading SD card as disk, I have problem with a digital signature card.
my lsusb says

Bus 001 Device 002: ID 058f:6364 Alcor Micro Corp. AU6477 Card Reader Controller

pcsc_scan sees the card reader but does not see the card inserted. this probme is present since the update to 16.04, the card was seen and used before.

thank you for your help..

Paolo.Dirienzo, give you have different hardware, and root cause issue (the reader stopped working, while this report is about it never worked in the past), it will help immensely if you use the computer the problem is reproducible with, and provide necessary debugging logs by filing a new report with Ubuntu via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

Changed in linux (Ubuntu):
importance: Medium → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.